Patch webhook
PATCH /v2/webhook/{webhookId}
PATCH
/v2/webhook/{webhookId}
Partially update a webhook by its ID.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” webhookId
required
string format: uuid
The ID of the webhook
Example
82c4fce1-d2c7-48cb-a647-6993dbe37819Request Body required
Section titled “Request Body required ”object
webhookId
required
The ID of the webhook
string format: uuid
82c4fce1-d2c7-48cb-a647-6993dbe37819 name
The name of the webhook
string
Activate Payment Flow description
The description of the webhook
string
This webhook weill receive the notifications to trigger payments in our platform. status
The status of the webhook
string
paused url
The url of the webhook
string format: url
https://api.mycompany.com/webhooks/inbound enabledEvents
The events that the webhook will listen to (use ”*” for all events)
Array<string>
[ "*", "document.created", "document.scanned", "document.updated"]Responses
Section titled “ Responses ”The resource has been successfully updated.
object
id
required
The webhook ID
string format: uuid
82c4fce1-d2c7-48cb-a647-6993dbe37819 name
The name of the webhook
string
Activate Payment Flow description
The description of the webhook
string
This webhook weill receive the notifications to trigger payments in our platform. url
required
The url of the webhook
string format: url
https://api.mycompany.com/webhooks/inbound enabledEvents
required
A list of event names that this webhook is configured to listen to (use ”*” for all events)
Array<string>
[ "*", "document.created", "document.scanned", "document.updated"] signingSecret
The secret used to sign the webhook payload
string
1234567890 status
The status of the webhook
string
active createdAt
The creation date
string format: date-time
2021-01-01T00:00:00.000Z lastTriggeredAt
The last triggered date
string format: date-time
2021-01-01T00:00:00.000ZBad Request
Unauthorized
Forbidden
Not Found
Internal Server Error